<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 02일 수요일 오전 09시 00분 ( 추정 )

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 NETT > 프로그램 > 피리 NETT 피리 카페 회원 관리 > 라이브러리 > 피리 카페 회원 가입
=====================================================================

cafe_member_join_do(

*/

  IF ( !defined('_GNUBOARD_') )                             EXIT;

  $p770099_get = 1;

  $prog_config_page = 1;

  include_once( piree__path($piree_prog_a[770099]['num'], '__config.php') );

  $work_saved_a['cafe.cafe_s']                    = '';
  $work_saved_a['cafe.join.member.base_n']        = 0;
  $work_saved_a['cafe.join.member.join_now_n']    = 0;

  function piree_cafe_member_join_do($func_var_a, $func_cafe_n)
  {

    global $g5;
    global $config;
    global $member;
    global $piree;
    global $piree_prog_a;
    global $piree_data_action_a;
    global $glo_ip_a;
    global $work_saved_a;

    $save_member_n = 0;

    IF ( !$func_var_a['cafe_mem_level_n'] )                          $in_errors++;
    IF ( !$func_var_a['mem_n'] )                                     $in_errors++;
    IF ( !$func_var_a['mem_id'] )                                    $in_errors++;
    IF ( !$func_var_a['mem_nick'] )                                  $in_errors++;
    IF ( !$func_var_a['cafe_s'] )                                    $in_errors++;
    IF ( !$func_var_a['ip_s'] )                                      $in_errors++;
    IF ( !$func_var_a['regi_time_n'] )                               $in_errors++;

    IF ( $in_errors == 0 )
    {

      include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

      $sql_select  = "SELECT `cfml_row_n` FROM `". $piree['cafe_member'] ."` ";
      $sql_select .= "WHERE `cfml_row_n` = '". $func_cafe_n ."' AND `cfml_mem_id` = '". $func_var_a['mem_id'] ."'";
      $save_member_n = sql_efv($sql_select);

      IF ( !$save_member_n || $save_member_n == 0 )
      {

        $sql_insert  = "INSERT INTO `". $piree['cafe_member'] ."` SET ";
        $sql_insert .= "`cfml_cafe_n`           = '". $func_cafe_n ."', ";
        $sql_insert .= "`cfml_cafe_mem_level_n` = '". $func_var_a['cafe_mem_level_n'] ."', ";
        $sql_insert .= "`cfml_mem_n`            = '". $func_var_a['mem_n'] ."', ";
        $sql_insert .= "`cfml_mem_id`           = '". $func_var_a['mem_id'] ."', ";
        $sql_insert .= "`cfml_mem_nick`         = '". $func_var_a['mem_nick'] ."', ";
        $sql_insert .= "`cfml_cafe_s`           = '". $func_var_a['cafe_s'] ."', ";
        $sql_insert .= "`cfml_article_t`        = '0', ";
        $sql_insert .= "`cfml_comment_t`        = '0', ";
        $sql_insert .= "`cfml_image_t`          = '0', ";
        $sql_insert .= "`cfml_ip_s`             = '". $func_var_a['ip_s'] ."', ";
        $sql_insert .= "`cfml_join_time_n`      = '". $func_var_a['regi_time_n'] ."', ";
        $sql_insert .= "`cfml_modi_time_n`      = '0'";

        IF ( !sql_query($sql_insert) )
        {

          alert("피리 카페 [ ". $func_var_a['cafe_s'] ." ]에 회원 [ ". $func_var_a['mem_nick'] ." ]님을 가입 처리하지 못했습니다.");

/*
$func_var_a['cafe_mem_level_n']
$func_var_a['mem_n']
$func_var_a['mem_id']
$func_var_a['mem_nick']
$func_var_a['cafe_s']
$func_var_a['ip_s']
$func_var_a['regi_time_n']
*/

        }

        $save_member_n = sql_insert_id();

      }

    }

    return $save_member_n;

  }

?>